Ruby ruby-2.0.0-p353

ruby_sjf · 2013年12月31日 · 最后由 ruohanc 回复于 2014年01月01日 · 2329 次阅读

第一次按照 wiki 里面安装的 ruby 但是我在 terminal 中输入 ruby -v 提示: * ruby1.8 * ruby1.9.1 请尝试 sudo apt-get install <选定的软件包> 而且我 rvm list rvm rubies =*ruby-2.0.0-p353[i686] #=> -current #=> -current && default #=> -default 也就是说我的 rvm 里面确实含有 ruby2.0.0 版本啊! 我现在我无法进入环境求熟悉的朋友帮我看看?在线求! 呵呵,快跨年了,刚装好 ruby 就遇到这样的问题,有点头大,没法运行例子?

什么系统?很大可能是这个 https://rvm.io/integration/gnome-terminal

type rvm 看看,是一个 path 还是一个 function?

如果是 path 的话那就是 #1 楼 @Rei 提到的问题了。

关于 login-shell 和 nonlogin-shell 这里还有一个更详细的解释

@Rei ubuntu12.04LTS

@ruohanc type rvm rvm 已被哈希(home/eric/.rvm/bin/rvm)what is mean?

说明他直接指向了一个可执行文件。说明你没有 source,见下图。

在你的 shell 里面跑一下 bash -l 然后再看 type rvm 应该就好了。解决这个问题请参考 @Rei 的资料,探索 root case 认真读我给的资料

需要 登录 后方可回复, 如果你还没有账号请 注册新账号